Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.accessibility
Interface AccessibleText

All Known Subinterfaces:
  AccessibleHypertext

All Known Implementing Classes:
  JTextComponent.AccessibleJTextComponent

public abstract interface AccessibleText

The AccessibleText interface should be implemented by all classes that present textual information on the display. This interface provides the standard mechanism for an assistive technology to access that text via its content, attributes, and spatial location. Applications can determine if an object supports the AccessibleText interface by first obtaining its AccessibleContext (see `Accessible`) and then calling the `AccessibleContext.getAccessibleText()` method of AccessibleContext. If the return value is not null, the object supports this interface.

See Also:
  `Accessible`, `Accessible.getAccessibleContext()`, `AccessibleContext`, `AccessibleContext.getAccessibleText()`

Field Summary
`static int` | `CHARACTER` Constant used to indicate that the part of text that should be retrieved is a character.
`static int` | `SENTENCE` Constant used to indicate that the part of text that should be retrieved is a sentence.
`static int` | `WORD` Constant used to indicate that the part of text that should be retrieved is a word.

Method Summary
`java.lang.String` | `getAfterIndex(int part, int index)` Return the String after a given index.
`java.lang.String` | `getAtIndex(int part, int index)` Return the String at a given index.
`java.lang.String` | `getBeforeIndex(int part, int index)` Return the String before a given index.
`int` | `getCaretPosition()` Return the zero-based offset of the caret.
`AttributeSet` | `getCharacterAttribute(int i)` Return the AttributeSet for a given character at a given index
`java.awt.Rectangle` | `getCharacterBounds(int i)` Determine the bounding box of the character at the given index into the string.
`int` | `getCharCount()` Return the number of characters (valid indicies)
`int` | `getIndexAtPoint(java.awt.Point p)` Given a point in local coordinates, return the zero-based index of the character under that Point.
`java.lang.String` | `getSelectedText()` Returns the portion of the text that is selected.
`int` | `getSelectionEnd()` Returns the end offset within the selected text.
`int` | `getSelectionStart()` Returns the start offset within the selected text.

Field Detail

### CHARACTER

    public static final int CHARACTER

  Constant used to indicate that the part of text that should be retrieved is a character.
  See Also:
    `getAtIndex(int, int)`, `getAfterIndex(int, int)`, `getBeforeIndex(int, int)`

### WORD

    public static final int WORD

  Constant used to indicate that the part of text that should be retrieved is a word.
  See Also:
    `getAtIndex(int, int)`, `getAfterIndex(int, int)`, `getBeforeIndex(int, int)`

### SENTENCE

    public static final int SENTENCE

  Constant used to indicate that the part of text that should be retrieved is a sentence.
  See Also:
    `getAtIndex(int, int)`, `getAfterIndex(int, int)`, `getBeforeIndex(int, int)`

Method Detail

### getIndexAtPoint

    public int getIndexAtPoint(java.awt.Point p)

  Given a point in local coordinates, return the zero-based index of the character under that Point. If the point is invalid, this method returns -1.
  Parameters:
    `p` - the Point in local coordinates
  Returns:
    the zero-based index of the character under Point p; if Point is invalid returns -1.

### getCharacterBounds

    public java.awt.Rectangle getCharacterBounds(int i)

  Determine the bounding box of the character at the given index into the string. The bounds are returned in local coordinates. If the index is invalid an empty rectangle is returned.
  Parameters:
    `i` - the index into the String
  Returns:
    the screen coordinates of the character's the bounding box, if index is invalid returns an empty rectangle.

### getCharCount

    public int getCharCount()

  Return the number of characters (valid indicies)
  Returns:
    the number of characters

### getCaretPosition

    public int getCaretPosition()

  Return the zero-based offset of the caret. Note: That to the right of the caret will have the same index value as the offset (the caret is between two characters).
  Returns:
    the zero-based offset of the caret.

### getAtIndex

    public java.lang.String getAtIndex(int part,
                                       int index)

  Return the String at a given index.
  Parameters:
    `part` - the CHARACTER, WORD, or SENTENCE to retrieve
    `index` - an index within the text
  Returns:
    the letter, word, or sentence

### getAfterIndex

    public java.lang.String getAfterIndex(int part,
                                          int index)

  Return the String after a given index.
  Parameters:
    `part` - the CHARACTER, WORD, or SENTENCE to retrieve
    `index` - an index within the text
  Returns:
    the letter, word, or sentence

### getBeforeIndex

    public java.lang.String getBeforeIndex(int part,
                                           int index)

  Return the String before a given index.
  Parameters:
    `part` - the CHARACTER, WORD, or SENTENCE to retrieve
    `index` - an index within the text
  Returns:
    the letter, word, or sentence

### getCharacterAttribute

    public AttributeSet getCharacterAttribute(int i)

  Return the AttributeSet for a given character at a given index
  Parameters:
    `i` - the zero-based index into the text
  Returns:
    the AttributeSet of the character

### getSelectionStart

    public int getSelectionStart()

  Returns the start offset within the selected text. If there is no selection, but there is a caret, the start and end offsets will be the same.
  Returns:
    the index into the text of the start of the selection

### getSelectionEnd

    public int getSelectionEnd()

  Returns the end offset within the selected text. If there is no selection, but there is a caret, the start and end offsets will be the same.
  Returns:
    the index into teh text of the end of the selection

### getSelectedText

    public java.lang.String getSelectedText()

  Returns the portion of the text that is selected.
  Returns:
    the String portion of the text that is selected

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.